トップ「Php-5.4」の質問

PHP 5.4は、PHP5.3の後継です。 2012年3月1日にリリースされました。

PHPを使用して現在の年を取得するにはどうすればよいですか?

ウェブサイトのフッターに著作権表示を入れたいのですが、1年が古くなるのは非常に厄介だと思います。PHP4またはPHP5で年を自動的に更新するにはどうすればよいですか?

php date php-5.3 php-5.4 php4

phpartisan.phpサーブのポートを設定します

テストサーバーのカスタムポートを設定するにはどうすればよいですか?通常私たちがするときphp artisan serve フォルダは次のように機能します:localhost:8000 次のように1つのフォルダにアクセスするにはどうすればよいですか。localhost:8080 ローカルホスト上の2つの異なる開発サイトにアクセスしたい。

laravel laravel-4 php-5.4

Windows-1252(1/3/4)とISO-8859-1の正確な違いは何ですか?

DebianベースのLAMPインストールでPHPアプリをホストしています。 パフォーマンス、管理、管理の面で、すべてがまったく問題ありません。 ただし、やや新しい開発者であるため(まだ高校生です)、WesternCharsetsの文字エンコードでいくつかの問題が発生しました。多くの調査を行った後、私はオンラインの情報がやや混乱しているという結論に達しました。 Windows-1252がANSIであり、ISO-8859-1と完全に互換性があることについて話しています。とにかく、Windows-1252(1/3/4)とISO-8859 […] 続きを読む…

encoding character-encoding lamp php-5.4

cPanelを使用してメールを送信するようにサーバーを構成するにはどうすればよいですか?

PHPを使用してメールを送信しようとしています。 メールはtrueを返しています。 しかし、私はメールを受け取っています。 ですから、サーバーに問題があるのではないかと思います。 cPanelを使用してメールを適切に送信するようにサーバーを構成する方法を説明するチュートリアルはありますか?私のコードを以下に示します。<?php $msg = "First line of text\ […] 続きを読む…

php email smtp cpanel php-5.4

searchd.pidがないため、centos7カントのスフィンクスが開始されませんでした

CentOS7にsphinx-2.2.11をインストールしましたyum install -y postgresql-libs unixODBC wget http://sphinxsearch. […] 続きを読む…

sphinx centos7 php-5.4

PHP crypt()は、バージョン5.6.4では* 0の失敗文字列を返しますが、5.4では返しません。

echo crypt('test', "$2a$07$");は、PHPバージョン5.4.16では長いハッシュを生成しますが、5.6.4では「失敗文字列」 *0します。crypt()のPHPドキュメントを読んでも、状況によっては*0ではなく*1が返されると変更ログに記載されていますが、その理由はまだはっきりしていません。 ( http://php.net/ […] 続きを読む…

php crypt php-5.4 php-5.6

php7で$ GLOBALS ['HTTP_RAW_POST_DATA']を置き換えるにはどうすればよいですか?

$ HTTP_RAW_POST_DATAは、PHP7.0で削除されました。 私のアプリケーションでは、次の行もあります。 これに使用できる代替手段は何ですか?if (isset($GLOBALS['HTTP_RAW_ […] 続きを読む…

php-7.2 php-5.4

PHPxmlwriterドキュメントの改行

XMLWriterを使用して作成したXMLフィードがあります。 PHP5.6のvagrantボックスの開発で問題なく動作します。 ライブサーバーで、PHP 5.4を実行すると、フィードは次のメッセージでレンダリングに失敗します。This page contains the following […] 続きを読む…

php xml php-5.4 php-5.6

PHP 5.3で文字列が配列のように動作するのはなぜですか?

私はこのコードを持っています:$tierHosts['host'] = isset($host['name']) ? $host['name'] : $host; PHP 5.5では正常に機能していますが、PHP 5.3では、 $ […] 続きを読む…

php arrays string php-5.3 php-5.4

最初にsymfony2.8またはphp5.4をアップグレードしますか?

私はすぐにプロジェクトに取り組む予定で、前にこれを聞きたかっただけです。 プロジェクトは、php5.4を使用したsymfony2.8上にあります。 目標は、symfonyを3.4(おそらく4.x以降)にアップグレードし、phpを7.x(おそらく7.2)にアップグレードすることです。 だからここに私の質問があります:これを行うためのより良い順序はありますか? PHP 5.4から7.2が最初ですか、それともsymfony 2.8から3.4(またはそれは問題ではありません)? アドバイスありがとうございます。

upgrade symfony-3.4 symfony-2.8 php-5.4 php-7.2